Subject: Re: I-D Action:draft-ietf-dnsext-rfc2671bis-edns0-00.txt

From: Edward Lewis <[email-masked]>
Date: Wed, 2 Jan 2008 12:06:13 -0500

Regarding:
>http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc2671bis-edns0-00.txt

#   4.6. The extended RCODE and flags (which OPT stores in the RR TTL
#   field) are structured as follows:
#
#                    +0 (MSB)                            +1 (LSB)
#         +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
#      0: |         EXTENDED-RCODE        |            VERSION            |
#         +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
#      2: | DO|                           Z                               |
#         +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
#
#
#   EXTENDED-RCODE  Forms upper 8 bits of extended 12-bit RCODE.  Note
#                   that EXTENDED-RCODE value "0" indicates that an
#                   unextended RCODE is in use (values "0" through "15").

12 bits or 16 bits?  Or is the "12-bit RCODE" are reference to the 
concatination of the header RCODE and the EXTENDED_RCODE?  (Searching 
though the file, that is the only occurrence of the number twelve.)

#   5 - Transport Considerations
...
#   5.2. Lack of use of these features in a request is an indication that
#   the requestor does not implement any part of this specification and
#   that the responder SHOULD NOT use any protocol extension described
#   here in its response.

It isn't an indication that the requestor does not implement, but 
that the requestor has chosen not to want to use the extension.

#   6 - Security Considerations

Perhaps we can turn the security considerations on its head and use 
the section to state that security activities assuming the 512 byte 
limit or making other assumptions about the DNS packet have been 
known to cause havoc with the correct and legitimate functioning of 
the DNS protocol.

#   7 - IANA Considerations
...
#   This document assigns option code 65535 to "Reserved for future
#   expansion."

	s/option code/EDNS Extended Option code/ ?

-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis                                                +1-571-434-5468
NeuStar

Think glocally.  Act confused.